package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/6/1 15:47
 * @version: V1.0
 **/
@Data
@ToString
public class CarMileageQueryResponseObject {
    private String code;
    private String msg;
    private String orderNo;
    private CarMileageQueryResponseData data;

    @Data
    @ToString
    public static class CarMileageQueryResponseData {
        private String mileage;
        private String startTime;
        private String endTime;
        @JSONField(name = "startlonlat")
        private String startLonLat;
        private String start;
        @JSONField(name = "endlonlat")
        private String endLonLat;
        private String end;
    }
}
