package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.vo;

import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/6/1 16:41
 * @version: V1.0
 **/
@Data
@ToString
public class CarParkingInfoResponseObject {
    private String code;
    private String msg;
    private String orderNo;
    private CarParkingInfoResponseData data;

    @Data
    @ToString
    public static class CarParkingInfoResponseData {
        private List<CarParkingInfoResponseParkInfo> parkInfo;
        private String parkSize;
    }

    @Data
    @ToString
    public static class CarParkingInfoResponseParkInfo {
        private String parkMins;
        private String bte;
        private String ete;
        private String lon;
        private String lat;
        private String adr;
    }
}
