package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.vo;

import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/6/1 11:19
 * @version: V1.0
 **/
@Data
@ToString
public class TruckInfoQueryResponseObject {
    private String code;
    private String msg;
    private String orderNo;
    private TruckInfoQueryResponseData data;

    @Data
    @ToString
    public static class TruckInfoQueryResponseData {
        private TruckInfoQueryResponsePhoneRoadTransport carPhotoRoadTransport;
        private List<TruckInfoQueryResponseCapacityEvaluation> carCapacityEvaluation;
        private TruckInfoQueryResponseLicense license;

    }

    @Data
    @ToString
    public static class TruckInfoQueryResponsePhoneRoadTransport {
        private String cmpNm;
        private String pic;
        private String roadTransport;
    }

    @Data
    @ToString
    public static class TruckInfoQueryResponseLicense {
        private String vclWnrNm;
        private String vclWnrPhn;
        private String areaName;
        private String vclTpNm;
        private String vbrndCdNm;
        private String prdCdNm;
        private String cmpNm;
        private String vin;
        private String vclTn;
        private String ldTn;
        private String vclDrwTn;
        private String vclLng;
        private String vclWdt;
        private String vclHgt;
        private String boxLng;
        private String boxWdt;
        private String serviceName;
        private String servicePhone;
        private String vehicleAxis;

    }

    @Data
    @ToString
    public static class TruckInfoQueryResponseCapacityEvaluation {
        private String month;
        private String vclN;
        private String vin;
        private String vco;
        private String bcamp;
        private String rate;
        private String amile;
        private String omile;
        private String dmile;
        private String dtime;
        private String oprate;
        private String trate;
        private String ltime;
        private String lines;
    }
}
