package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.vo;

import lombok.Data;
import lombok.ToString;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/5/29 16:23
 * @version: V1.0
 **/
@Data
@ToString
public class VehicleTransportPermitResponseObject {
    private String code;
    private String msg;
    private String orderNo;
    private VehicleTransportPermitResponseData data;

    @Data
    @ToString
    static class VehicleTransportPermitResponseData {
        private String vehicleNumber;
        private String licensePlateTypeCode;
        private String vinNo;
        private String vehicleClassification;
        private String vehicleLength;
        private String vehicleWidth;
        private String vehicleHeight;
        private String vehicleMaximumTractionWeight;
        private String vehicleTonnage;
        private String businessState;
        private String businessStateCode;
        private String roadTransportCertificateNumber;
        private String certificationUnit;
        private String periodStartDate;
        private String periodEndDate;
        private String businessScope;
        private String checkStateExpireDate;
        private String vehicleCorporationName;
        private String issuingDate;
    }
}
