package info.aspirecn.rdc.iov.sjjh.servicenode.supplier;

import java.util.HashMap;
import java.util.Map;
import java.util.regex.Pattern;

import org.apache.commons.lang3.StringUtils;

import com.alibaba.fastjson.JSONObject;

import info.aspirecn.iov.sjjh.commons.lang.Constant;
import info.aspirecn.iov.sjjh.commons.lang.Md5Util;
import info.aspirecn.iov.sjjh.commons.lang.PatternTools;
import info.aspirecn.rdc.iov.sjjh.servicenode.supplier.enums.DigestALGEnum;
import info.aspirecn.rdc.iov.sjjh.servicenode.supplier.utils.ApiDigestUtil;
import lombok.extern.slf4j.Slf4j;

/**
 * 
 * @author minmin
 *
 */
@Slf4j
public class Test {
	private static final String DATE_YYYYMMDD = "^((19|20)[0-9]{2})-(0?[1-9]|1[012])$";
	public static void main(String[] args) {
		Pattern pattern = Pattern.compile(DATE_YYYYMMDD);
		if(!pattern.matcher("20203").matches()) {
			log.info("不是");
		} else {
			log.info("是");
		}
		
		Map<String, String> map = new HashMap<>();
        map.put("comp", "小米科技有限责任公司");
        map.put("month", "2019-07");
        map.put("uid", "jiaokecs");
		String sign = ApiDigestUtil.execute(map, "8e1e36d1515d448b9374631807c3750d", DigestALGEnum.MD5, "UTF-8");
		log.info("sign={}", sign);
		
		String signStr = "comp=小米科技有限责任公司&month=2019-07&uid=jiaokecs8e1e36d1515d448b9374631807c3750d";
        String sign1 = Md5Util.encrypt32(signStr).toLowerCase();
        log.info("sign1={}", sign1);
	}
}
