package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.vo;

import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/5/28 15:36
 * @version: V1.0
 **/
@Data
@ToString
public class CarsLastPositionResponseObject {
    private String code;
    private String msg;
    private String orderNo;
    private CarsLastPositionResponseData data;

    @Data
    @ToString
    public static class CarsLastPositionResponseData {
        private List<CarsLastPositionResponseInfo> infos;
    }

    @Data
    @ToString
    public static class CarsLastPositionResponseInfo {
        private String vno;
        private String vco;
        private String lat;
        private String lon;
        private String adr;
        private String utc;
        private String spd;
        private String drc;
        private String province;
        private String city;
        private String country;
        private String code;
    }
}
